/*
 * Copyright Ian Burnett 2005, 2006.
 *
 * This file is part of Ian's Interactive LCD controller (IILC).
 *
 * IILC is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * IILC is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with IILC; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 */

package com.ianburnett.iilc.entity.led;

/**
 * Simple class to encapsulate a tuple of red, green, and blue
 * colour components. I've named this with the US spelling, rather
 * than my preferred Proper English inclinations, just because
 * that's how the rest of Java is.
 * 
 * @author Ian Burnett
 */
public final class Color
{
    /**
     * Red component.
     */
    public int r;
    
    /**
     * Green component.
     */
    public int g;
    
    /**
     * Blue component.
     */
    public int b;
    
    /**
     * Constructor which performs simple initialisation of the object.
     *  
     * @param r Red component
     * @param g Green component
     * @param b Blue component
     */
    public Color(int red, int green, int blue)
    {
        this.r = red;
        this.g = green;
        this.b = blue;
    }
}
