/*
 * Copyright Ian Burnett 2005, 2006.
 *
 * This file is part of Ian's Interactive LCD controller (IILC).
 *
 * IILC is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * IILC is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with IILC; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 */

package com.ianburnett.iilc.server;

import com.ianburnett.iilc.entity.Entity;

/**
 * Template implementation which saves on some of the legwork required
 * to implement some of the entities.
 * 
 * @author Ian Burnett
 */
abstract class EntityImpl implements Entity
{
    /**
     * The ID this object should report to the provider.
     */
    private int _id;
    
    /**
     * The name that this entity was declared as in the config file.
     */
    private String _name;

    /**
     * 
     * @param id
     * @param name
     */
    EntityImpl(int id, String name)
    {
        this._id = id;
        this._name = name;
    }

    public int getID()
    {
        return _id;
    }

    public String getName()
    {
        return _name;
    }

}
